Subject: Re: Java Thread Dump in Bash
From: Frank-Michael Moser <[email-masked]>
To: [email-masked]
Date: Tue, 17 Feb 2004 21:09:41 +0100

Unfortunately neither Ctrl-Break nor Ctrl-Scroll produce a thread dump 
not in pure bash and not in RXVT for me. I'm using latest cygwin and 
tried JDK 1.4.2_02 and 1.5.0 beta.

Also the java applications I tried do not read from standard input.

What versions (cygwin/java) do you use.
Is it worth to send my cygcheck output attached? Should I really expect 
Ctrl-Break to work - this would be great?

Frank-Michael

Randall R Schulz wrote:

> Frank-Michael,
> 
> CTRL-BREAK produces a thread-dump using the latest Sun JVM on my system 
> when launched from BASH. However, if the program is reading standard 
> input from the unredirected console, it receives an end-of-file 
> indication on that stream as well.
> 
> Randall Schulz
> 
> 
> At 03:42 2004-02-17, Frank-Michael Moser wrote:
> 
>> Searching the mailing list archive I found that there is an old thread 
>> from Dec 2000 which exactly describes my problem:
>>
>> http://sources.redhat.com/ml/cygwin/2000-12/msg00490.html
>>
>> In short: Using Ctrl-Scroll does not cause a Java program to dump 
>> threads as it does in cmd.exe. Unfortunately the thread ended up with 
>> some personal strife.
>>
>> I understand that the signal problem could be by design. But now (3 
>> years later) maybe there are news about this issue? Has someone a way 
>> to work around this problem?
>>
>> Frank-Michael
> 
> 
> 
> -- 
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515231
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/